# Method ZXID.Configuration()->Session()->authenticate()

Method authenticate

  `mixed authenticate(string(8bit) uri_path, string(8bit)|mapping(string(8bit):string(8bit)) query)`

Description

  Authenticate via SAML given the query-string query.

Returns

  `mapping(string(8bit):string(8bit))` | Returns a mapping when interaction with the browser is needed.
  `string` | Returns a string to ask for some specific actions.
  `zero` | Returns `0` (zero) on successfull authentication. auth_info will be set with the corresponding user information.

Throws

  Throws errors on most error conditions.

Method authenticate

  `string(8bit) authenticate(string(8bit) uri_path, string(8bit) query)`

Description

  Authenticate via SAML given the query-string query.

Parameter `uri_path`

  Current URI path (before '?').

Parameter `query`

  Query variables (after '?').

Returns

  Returns JSON-encoded data on success, and various other strings otherwise.